<?php

/**
 * Implements hook_form_FORM_ID_alter().
 */
function elis_form_system_theme_settings_alter(&$form, $form_state, $form_id = NULL) {
  // Do not add Bootstrap specific settings to non-bootstrap based themes,
  // including a work-around for a core bug affecting admin themes.
  // @see https://drupal.org/node/943212
  $theme = !empty($form_state['build_info']['args'][0]) ? $form_state['build_info']['args'][0] : FALSE;
  if (isset($form_id) || $theme === FALSE || !in_array('bootstrap', _bootstrap_get_base_themes($theme, TRUE))) {
    return;
  }
  
  // Images.
  $form['general']['colors'] = array(
    '#type' => 'fieldset',
    '#title' => t('Colors'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );
  $form['general']['colors']['elis_chrome_color'] = array(
    '#type' => 'textfield',
    '#title' => t('General theme color'),
    '#description' => t('Theme chromeColor like <code>#0981B3</code>'),
    '#default_value' => elis_setting('elis_chrome_color',$theme),
    '#empty_option' => t('#0981B3'),    
    /*'#submit' => array('form_elis_chrome_color_submit'),*/
  );  
  $form['general']['colors']['elis_text_color'] = array(
    '#type' => 'textfield',
    '#title' => t('General theme text color'),
    '#description' => t('Theme textColor like <code>#C1C1C1</code>'),
    '#default_value' => elis_setting('elis_text_color',$theme),
    '#empty_option' => t('#C1C1C1'),    
    /*'#submit' => array('form_elis_text_color_submit'),*/
  );
  
  
  
} 

/**
 * hook_setting implementation  
 * @param String $setting_name
 * @param String $theme_name
 * @return String setting of field
 */

function elis_setting($setting_name,$theme_name = false) {  
  global $theme;
  if ($theme_name === false) {
    $theme_name = $theme;
  }
  $setting = theme_get_setting($setting_name, $theme_name);
  return $setting;
}
